package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttDamBase;
import com.goldenwater.slgc.mapper.AttDamBaseMapper;
import com.goldenwater.slgc.service.DamService;

/** 坝信息 业务实现 */
@Service
public class DamServiceImpl implements DamService {
    @Autowired
    private AttDamBaseMapper attDamBaseMapper;

    @Override
    public List<AttDamBase> selectAttDamBaseList(AttDamBase attDamBase) {
        return attDamBaseMapper.selectAttDamBaseList(attDamBase);
    }

    @Override
    public AttDamBase selectAttDamBaseById(String damCode) {
        return attDamBaseMapper.selectAttDamBaseById(damCode);
    }

    @Override
    public int deleteAttDamBaseByIds(String[] damCodes) {
        return attDamBaseMapper.deleteAttDamBaseByIds(damCodes);
    }

    @Override
    public int insertAttDamBase(AttDamBase attDamBase) {
        return attDamBaseMapper.insertAttDamBase(attDamBase);
    }

    @Override
    public int updateAttDamBase(AttDamBase attDamBase) {
        return attDamBaseMapper.updateAttDamBase(attDamBase);
    }
}
